<?php

namespace ACL\Controllers;

use ACL\Traits\TResponse;
use Exception;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use ACL\Services\PerfilacessoLabel as PerfilacessoLabelService;

class PerfilacessoLabel {

    use TResponse;

    /**
     * @var PerfilacessoLabelService
     */
    private $perfilacessoLabelService;

    /**
     * PerfilacessoLabel constructor.
     * @param PerfilacessoLabelService $perfilacessoLabelService
     */
    public function __construct(PerfilacessoLabelService $perfilacessoLabelService)
    {
        $this->perfilacessoLabelService = $perfilacessoLabelService;
    }

    /**
     * @param Request $request
     * @param Response $response
     * @throws Exception
     */
    public function findPerfilacessoLabel(Request $request, Response $response)
    {
        try {
            $nrperfilacesso = $request->getParameter('nrperfilacesso');
            $data = $this->perfilacessoLabelService->findPerfilacessoLabel($nrperfilacesso);
            $this->sendResponse($this->createResponse($data), 200);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }

    /**
     * @param Request $request
     * @throws \Doctrine\DBAL\Driver\Exception
     */
    public function savePerfilacessoLabel(Request $request)
    {
        try {
            $labels = $request->getParameter('labels');
            $nrperfilacesso = $request->getParameter('nrperfilacesso');
            $this->perfilacessoLabelService->savePerfilacessoLabel($labels, $nrperfilacesso);
            $this->sendResponse([], 201);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }

    public function deletePerfilacessoLabel(Request $request)
    {
        try {
            $labels = $request->getParameter('labels');
            $nrperfilacesso = $request->getParameter('nrperfilacesso');
            $this->perfilacessoLabelService->deletePerfilacessoLabel($labels, $nrperfilacesso);
            $this->sendResponse([], 200);
        } catch (Exception $e) {
            $this->sendResponse(['error' => $e->getMessage(), 'code' => $e->getCode()], 500);
        }
    }
}
