CREATE TABLE INCIDENCIAPROPCOM (
	NRINCIDENCIAPROPCOM		NUMBER 														NOT NULL,
    NRDETALHESERVPROPCOM	NUMBER														NOT NULL,
    NRGRUPOPRATOSERV		NUMBER														NOT NULL,
	QTSOLICITADA			FLOAT														NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_INCIDENCIAPROPCOM CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_INCIDENCIAPROPCOM PRIMARY KEY (NRINCIDENCIAPROPCOM),
	CONSTRAINT UN_INCIDENCIAPROPCOM UNIQUE (NRDETALHESERVPROPCOM, NRGRUPOPRATOSERV)
)
/
ALTER TABLE INCIDENCIAPROPCOM ADD
	CONSTRAINT FKPLA01115DETALHESERVPROPCOM FOREIGN KEY (NRDETALHESERVPROPCOM)
		REFERENCES DETALHESERVPROPCOM (NRDETALHESERVPROPCOM)
/
CREATE INDEX FKPLA01115DETALHESERVPROPCOM ON INCIDENCIAPROPCOM (NRDETALHESERVPROPCOM)
/
CREATE TABLE PRODUTOPROPCOM (
	NRPRODUTOPROPCOM		NUMBER 														NOT NULL,
    NRDETALHESERVPROPCOM	NUMBER														NOT NULL,
    CDPRODUTO				VARCHAR2(10)												NOT NULL,
	CDMARCASOLICITADA		VARCHAR2(5)													NULL,
	CDMARCAESCOLHIDA		VARCHAR2(5)													NULL,
	VRPEACRESCIMO			FLOAT														NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_PRODUTOPROPCOM CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_PRODUTOPROPCOM PRIMARY KEY (NRPRODUTOPROPCOM),
	CONSTRAINT UN_PRODUTOPROPCOM UNIQUE (NRDETALHESERVPROPCOM)
)
/
ALTER TABLE PRODUTOPROPCOM ADD
	CONSTRAINT FKPLA01116DETALHESERVPROPCOM FOREIGN KEY (NRDETALHESERVPROPCOM)
		REFERENCES DETALHESERVPROPCOM (NRDETALHESERVPROPCOM)
/
ALTER TABLE PRODUTOPROPCOM ADD
	CONSTRAINT FKPLA01117MARCA FOREIGN KEY (CDMARCASOLICITADA)
		REFERENCES MARCA (CDMARCA)
/
CREATE INDEX FKPLA01117MARCA ON PRODUTOPROPCOM (CDMARCASOLICITADA)
/
ALTER TABLE PRODUTOPROPCOM ADD
	CONSTRAINT FKPLA01118MARCA FOREIGN KEY (CDMARCAESCOLHIDA)
		REFERENCES MARCA (CDMARCA)
/
CREATE INDEX FKPLA01118MARCA ON PRODUTOPROPCOM (CDMARCAESCOLHIDA)
/
ALTER TABLE PRODUTOPROPCOM ADD
	CONSTRAINT FKPLA01119PRODUTO FOREIGN KEY (CDPRODUTO)
		REFERENCES PRODUTO (CDPRODUTO)
/
CREATE INDEX FKPLA01119PRODUTO ON PRODUTOPROPCOM (CDPRODUTO)
/
CREATE TABLE CONFIGSERVPROPCOM (
	NRCONFIGSERVPROPCOM		NUMBER 														NOT NULL,
    NRDETALHESERVPROPCOM	NUMBER														NOT NULL,
    NRCONFIGCARDBASE		NUMBER														NULL,
	CDTIPOPRAT				VARCHAR2(2)													NULL,
	DSCOMPLEMENTO			VARCHAR2(50)												NULL,
	NRORDEM					NUMBER														NOT NULL,
	IDTEMPERATURA			VARCHAR2(30)												NOT NULL
		CONSTRAINT CKC_IDTEMPERATURA_CNFSVPROPCOM CHECK (IDTEMPERATURA IN ('FRIO', 'QUENTE')),
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_CONFIGSERVPROPCOM CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_CONFIGSERVPROPCOM PRIMARY KEY (NRCONFIGSERVPROPCOM)
)
/
ALTER TABLE CONFIGSERVPROPCOM ADD
	CONSTRAINT FKPLA01120DETALHESERVPROPCOM FOREIGN KEY (NRDETALHESERVPROPCOM)
		REFERENCES DETALHESERVPROPCOM (NRDETALHESERVPROPCOM)
/
CREATE INDEX FKPLA01120DETALHESERVPROPCOM ON CONFIGSERVPROPCOM (NRDETALHESERVPROPCOM)
/
ALTER TABLE CONFIGSERVPROPCOM ADD
	CONSTRAINT FKPLA01121CONFIGCARDBASE FOREIGN KEY (NRCONFIGCARDBASE)
		REFERENCES CONFIGCARDBASE (NRCONFIGCARDBASE)
/
CREATE INDEX FKPLA01121CONFIGCARDBASE ON CONFIGSERVPROPCOM (NRCONFIGCARDBASE)
/
ALTER TABLE CONFIGSERVPROPCOM ADD
	CONSTRAINT FKPLA01122TIPOPRAT FOREIGN KEY (CDTIPOPRAT)
		REFERENCES TIPOPRAT (CDTIPOPRAT)
/
CREATE INDEX FKPLA01122TIPOPRAT ON CONFIGSERVPROPCOM (CDTIPOPRAT)
/
CREATE TABLE CONFGRUPOTPPROPCOM (
	NRCONFGRUPOTPPROPCOM	NUMBER 														NOT NULL,
    NRDETALHESERVPROPCOM	NUMBER														NOT NULL,
    CDGRTIPOPR				VARCHAR2(2)													NOT NULL,
	NRPORCIONAMENTO			NUMBER														NOT NULL,
	NRGRAMATURACARDBASE		NUMBER														NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_CONFGRUPOTPPROPCOM CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_CONFGRUPOTPPROPCOM PRIMARY KEY (NRCONFGRUPOTPPROPCOM),
	CONSTRAINT UN_CONFGRUPOTPPROPCOM UNIQUE (NRDETALHESERVPROPCOM, CDGRTIPOPR)
)
/
ALTER TABLE CONFGRUPOTPPROPCOM ADD
	CONSTRAINT FKPLA01123DETALHESERVPROPCOM FOREIGN KEY (NRDETALHESERVPROPCOM)
		REFERENCES DETALHESERVPROPCOM (NRDETALHESERVPROPCOM)
/
CREATE INDEX FKPLA01123DETALHESERVPROPCOM ON CONFGRUPOTPPROPCOM (NRDETALHESERVPROPCOM)
/
ALTER TABLE CONFGRUPOTPPROPCOM ADD
	CONSTRAINT FKPLA01124PORCIONAMENTO FOREIGN KEY (NRPORCIONAMENTO)
		REFERENCES PORCIONAMENTO (NRPORCIONAMENTO)
/
CREATE INDEX FKPLA01124PORCIONAMENTO ON CONFGRUPOTPPROPCOM (NRPORCIONAMENTO)
/
ALTER TABLE CONFGRUPOTPPROPCOM ADD
	CONSTRAINT FKPLA01125GRTIPOPR FOREIGN KEY (CDGRTIPOPR)
		REFERENCES GRTIPOPR (CDGRTIPOPR)
/
CREATE INDEX FKPLA01125GRTIPOPR ON CONFGRUPOTPPROPCOM (CDGRTIPOPR)
/
ALTER TABLE CONFGRUPOTPPROPCOM ADD
	CONSTRAINT FKPLA01126GRAMATURACARDBASE FOREIGN KEY (NRGRAMATURACARDBASE)
		REFERENCES GRAMATURACARDBASE (NRGRAMATURACARDBASE)
/
CREATE INDEX FKPLA01126GRAMATURACARDBASE ON CONFGRUPOTPPROPCOM (NRGRAMATURACARDBASE)